
Infrastructure - Task #6412

Story # 6409 (Closed): Replication Maintenance updates

Create persistent replication queue

2014-09-24 14:41 - Skye Roseboom

Status: Closed Start date: 2014-09-24

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

Move replication queue from a hazelcast queue into a persistent score queue.

Motivations:

Avoid loosing replication tasks when d1-processing is shutdown.

Avoid constant retry of replication for documents where replication is not completing and allow control of how often replication retry

will occur.

History

#1 - 2014-09-24 14:43 - Skye Roseboom

- Target version set to Release Backlog

#2 - 2014-09-24 17:54 - Dave Vieglais

- Target version changed from Release Backlog to CCI-1.5.0

#3 - 2014-11-11 17:34 - Skye Roseboom

- Status changed from In Progress to Testing

#4 - 2014-12-15 20:02 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
